BeanContextServiceRevokedEvent (Java Platform SE 8 )
Keywords: java.beans.beancontext.BeanContextServiceRevokedEvent class
Date: 2026-04-17

java.beans.beancontext

## Class BeanContextServiceRevokedEvent

- java.lang.Object
- - java.util.EventObject
  - - java.beans.beancontext.BeanContextEvent
    - - java.beans.beancontext.BeanContextServiceRevokedEvent

- All Implemented Interfaces:
    Serializable

      public class BeanContextServiceRevokedEvent
      extends BeanContextEvent

  This event type is used by the `BeanContextServiceRevokedListener` in order to identify the service being revoked.

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Class` | `serviceClass` A `Class` reference to the service that is being revoked.

    - ### Fields inherited from class java.beans.beancontext.BeanContextEvent

      `propagatedFrom`

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanContextServiceRevokedEvent(BeanContextServices bcs, Class sc, boolean invalidate)` Construct a `BeanContextServiceEvent`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class` | `getServiceClass()` Gets the service class that is the subject of this notification
    `BeanContextServices` | `getSourceAsBeanContextServices()` Gets the source as a reference of type `BeanContextServices`
    `boolean` | `isCurrentServiceInvalidNow()` Reports if the current service is being forcibly revoked, in which case the references are now invalidated and unusable.
    `boolean` | `isServiceClass(Class service)` Checks this event to determine whether or not the service being revoked is of a particular class.

    - ### Methods inherited from class java.beans.beancontext.BeanContextEvent

      `getBeanContext, getPropagatedFrom, isPropagated, setPropagatedFrom`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serviceClass

          protected Class serviceClass

      A `Class` reference to the service that is being revoked.

  - ### Constructor Detail

    - #### BeanContextServiceRevokedEvent

          public BeanContextServiceRevokedEvent(BeanContextServices bcs,
                                                Class sc,
                                                boolean invalidate)

      Construct a `BeanContextServiceEvent`.
      Parameters:
        `bcs` - the `BeanContextServices` from which this service is being revoked
        `sc` - the service that is being revoked
        `invalidate` - `true` for immediate revocation

  - ### Method Detail

    - #### getSourceAsBeanContextServices

          public BeanContextServices getSourceAsBeanContextServices()

      Gets the source as a reference of type `BeanContextServices`
      Returns:
        the `BeanContextServices` from which this service is being revoked

    - #### getServiceClass

          public Class getServiceClass()

      Gets the service class that is the subject of this notification
      Returns:
        A `Class` reference to the service that is being revoked

    - #### isServiceClass

          public boolean isServiceClass(Class service)

      Checks this event to determine whether or not the service being revoked is of a particular class.
      Parameters:
        `service` - the service of interest (should be non-null)
      Returns:
        `true` if the service being revoked is of the same class as the specified service

    - #### isCurrentServiceInvalidNow

          public boolean isCurrentServiceInvalidNow()

      Reports if the current service is being forcibly revoked, in which case the references are now invalidated and unusable.
      Returns:
        `true` if current service is being forcibly revoked

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.